Subject: Re: bug#43847: ERC - prevent yanking multiple lines into IRC (feature request) *patch*

From: Brett Gilio <[email-masked]>
Date: Fri, 09 Oct 2020 11:00:18 -0500

Corwin Brust <[email-masked]> writes:
> This hasn't come up for me outside IRC/ERC, that I can recall, but it
> definitely does makes sense to me that people would want an easy way
> to strip new-lines when yanking in contexts out-side IRC. Any thoughts
> as to the approach for this?
>

After giving it more thought, perhaps a prefix arg is the correct way to
go here. It would be enough that people would not experience a breaking
change. Or, it could be such that ERC alerts in the echo buffer that you
are about to send a multiline paste and ask if it should be sanitized?

Brett Gilio